#!/bin/sh
# Changes:
# - 20071211 fix volume control to mute on hotkey
#            disabled gnome-brightness related things
# - 20071208 disabled dim screen on AC
#            added gnome notifications for wifi/overclocking
#            options to keep compiz (--compiz)

echo "* Setting smaller font sizes"
gconftool-2 --set /apps/nautilus/preferences/desktop_font --type string "Sans 8"
gconftool-2 --set /desktop/gnome/interface/document_font_name --type string "Sans 8"
gconftool-2 --set /desktop/gnome/interface/font_name --type string "Sans 8"
gconftool-2 --set /apps/metacity/general/titlebar_font --type string "Sans Bold 8"
gconftool-2 --set /desktop/gnome/interface/monospace_font_name --type string "Monospace 9"

echo "* All applications can go fullscreen by hitting <Alt>-F11"
gconftool-2 --set /apps/metacity/window_keybindings/toggle_fullscreen --type string "<Alt>F11"

echo "* Smaller toolbars using icons only"
gconftool-2 --set /desktop/gnome/interface/toolbar_style --type string "icons"

echo "* Disabling UI sounds"
gconftool-2 --set /desktop/gnome/sound/event_sounds --type bool 0

echo "* Fixing the mute key"
gconftool-2 --set /desktop/gnome/sound/default_mixer_tracks --type list --list-type string "[PCM]"

echo "* Fixing vfat mounting when using kernel 2.6.21.4-eee"
gconftool-2 --set /system/storage/default_options/vfat/mount_options --type list --list-type string "[shortname=mixed,uid=,utf8,umask=077,exec]"

echo "* Setting suspend when closing lid, blank screen"
gconftool-2 --set /apps/gnome-power-manager/actions/sleep_type_battery --type string "suspend"
gconftool-2 --set /apps/gnome-power-manager/actions/sleep_type_ac --type string "suspend"
gconftool-2 --set /apps/gnome-power-manager/buttons/lid_battery --type string "suspend"
gconftool-2 --set /apps/gnome-power-manager/buttons/lid_ac --type string "blank"
gconftool-2 --set /apps/gnome-power-manager/timeout/sleep_computer_ac --type int 0
gconftool-2 --set /apps/gnome-power-manager/timeout/sleep_computer_battery --type int 300
gconftool-2 --set /apps/gnome-power-manager/timeout/sleep_display_ac --type int 300
gconftool-2 --set /apps/gnome-power-manager/timeout/sleep_display_battery --type int 60
#gconftool-2 --set /apps/gnome-power-manager/backlight/brightness_ac --type int 85
#gconftool-2 --set /apps/gnome-power-manager/backlight/idle_dim_ac --type bool 1
#gconftool-2 --set /apps/gnome-power-manager/backlight/idle_dim_battery --type bool 1

echo "* Do not display the battery warning"
gconftool-2 --set /apps/gnome-power-manager/notify/low_capacity --type bool 0

#if [ "x$1" != "x--compiz" ]
#then
#echo "* Disabling desktop effects"
#gconftool-2 --type string --set /apps/gnome-session/rh/window_manager “metacity”
#metacity --replace &
#fi

echo "* Unconstraining windows to the top of the screen"
gconftool-2 --type bool --set /apps/compiz/plugins/move/allscreens/options/constrain_y 0

echo "* Installing OSD notifications for wifi and overclocking"
gconftool-2 --set /apps/metacity/keybinding_commands/command_9 --type string "/etc/acpi/notify-overclock.py off"
gconftool-2 --set /apps/metacity/keybinding_commands/command_10 --type string "/etc/acpi/notify-overclock.py on"
gconftool-2 --set /apps/metacity/keybinding_commands/command_11 --type string "/etc/acpi/notify-wifi.py off"
gconftool-2 --set /apps/metacity/keybinding_commands/command_12 --type string "/etc/acpi/notify-wifi.py on"
gconftool-2 --set /apps/metacity/global_keybindings/run_command_9 --type string "XF86Launch4"
gconftool-2 --set /apps/metacity/global_keybindings/run_command_10 --type string "XF86Launch3"
gconftool-2 --set /apps/metacity/global_keybindings/run_command_11 --type string "XF86Launch2"
gconftool-2 --set /apps/metacity/global_keybindings/run_command_12 --type string "XF86Launch1"
echo "Done."
